Bug 994286 - [abrt] kernel BUG at fs/ext4/super.c:804!
[abrt] kernel BUG at fs/ext4/super.c:804!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:db50dba53fa3e44ee8557bbb57a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 21:12 EDT by Fabian Salamanca
Modified: 2014-10-06 20:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (78.62 KB, text/plain)
2013-08-06 21:13 EDT, Fabian Salamanca
no flags Details

  None (edit)
Description Fabian Salamanca 2013-08-06 21:12:54 EDT
Description of problem:
Running KVM VM with RHEL 6.4 on Fedora 19, export NFS share from host to guest, both the export and the VM's qcow disk reside in the same disk which is a 1 TB external USB - eSATA drive.

NFS share is an ext4 filesystem on a LV. Vgroup comprises a whole disk partition (in my case, /dev/sdb1).

After shutting down the VM and trying to umount the ext4 filesystem I got the kerneloops.

Additional info:
reporter:       libreport-2.1.6
kernel BUG at fs/ext4/super.c:804!
invalid opcode: 0000 [#1] SMP 
Modules linked in: vfat fat vhost_net macvtap macvlan fuse usb_storage ebtable_nat xt_CHECKSUM tun bridge stp llc rfcomm bnep nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables dm_crypt snd_hda_codec_hdmi mperf coretemp arc4 iwldvm mac80211 snd_hda_codec_conexant kvm_intel uvcvideo snd_hda_intel snd_hda_codec kvm iwlwifi e1000e videobuf2_vmalloc iTCO_wdt iTCO_vendor_support videobuf2_memops thinkpad_acpi videobuf2_core snd_hwdep snd_seq crc32_pclmul snd_seq_device snd_pcm btusb videodev media crc32c_intel ptp lpc_ich pps_core cfg80211 bluetooth ghash_clmulni_intel mfd_core i2c_i801 sdhci_pci snd_page_alloc tpm_tis tpm sdhci mmc_core snd_timer snd microcode rfkill tpm_bios joydev nfsd soundcore wmi auth_rpcgss nfs_acl lockd sunrpc binfmt_misc uinput i915 firewire_ohci firewire_core crc_itu_t i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 1 PID: 9457 Comm: umount Not tainted 3.10.4-300.fc19.x86_64 #1
Hardware name: LENOVO 4243BR1/4243BR1, BIOS 8AET56WW (1.36 ) 12/06/2011
task: ffff8801c1f253e0 ti: ffff8801522d6000 task.ti: ffff8801522d6000
RIP: 0010:[<ffffffff81234c3b>]  [<ffffffff81234c3b>] ext4_put_super+0x33b/0x340
RSP: 0018:ffff8801522d7e30  EFLAGS: 00010216
RAX: 0000000000000046 RBX: ffff8801cda34800 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000046 RDI: 0000000000000246
RBP: ffff8801522d7e60 R08: 0000000030207478 R09: 0000000000000453
R10: 6e202c3434363030 R11: 202c30206b6e696c R12: ffff8801cda34a00
R13: ffff880159792400 R14: ffff8801cda34990 R15: ffff8801cda34a00
FS:  00007fcbf4e30880(0000) GS:ffff88021e240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8774825a50 CR3: 000000011559c000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff880100000000 ffff880159792400 ffff8801597924a0 ffffffff818252e0
 ffff88019dfac940 ffff88019dfac920 ffff8801522d7e88 ffffffff811999a6
 ffff8802116c9a00 0000000000000083 ffff88019dfac920 ffff8801522d7ea8
Call Trace:
 [<ffffffff811999a6>] generic_shutdown_super+0x56/0xd0
 [<ffffffff81199c37>] kill_block_super+0x27/0x70
 [<ffffffff81199fad>] deactivate_locked_super+0x3d/0x60
 [<ffffffff8119a016>] deactivate_super+0x46/0x60
 [<ffffffff811b4f25>] mntput_no_expire+0xc5/0x120
 [<ffffffff811b5d01>] SyS_umount+0x91/0x3a0
 [<ffffffff81651919>] system_call_fastpath+0x16/0x1b
Code: 81 48 8d b0 20 03 00 00 41 8b 47 c4 89 04 24 31 c0 e8 6a a4 40 00 4d 8b 3f 4d 39 fc 75 c4 4c 3b a3 00 02 00 00 0f 84 da fe ff ff <0f> 0b 0f 1f 00 66 66 66 66 90 55 48 89 e5 41 54 4c 8d a7 50 ff 
RIP  [<ffffffff81234c3b>] ext4_put_super+0x33b/0x340
 RSP <ffff8801522d7e30>
Comment 1 Fabian Salamanca 2013-08-06 21:13:01 EDT
Created attachment 783580 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:32:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:31:20 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.